import { Button, Popup } from 'vant';
import { defineComponent, reactive } from 'vue';
import styles from './index.module.less';
import { state } from '@/state';
import { gotoMemberCenter } from '@/views/hook/useFee';

export default defineComponent({
  name: 'theVip',
  setup() {
    return () => (
      <Popup v-model:show={state.vipShow} round class={styles.courseDialog}>
        <i
          class={styles.iconClose}
          onClick={() => (state.vipShow = false)}></i>
        <div class={styles.title}>温馨提示</div>

        <div class={styles.content}>
          开通管乐AI学练宝，解锁更多课件，享受全新学习体验！
        </div>

        <div class={styles.popupBtnGroup}>
          <Button round onClick={() => state.vipShow = false}>取消</Button>
          <Button round type="primary" onClick={gotoMemberCenter}>
            去开通
          </Button>
        </div>
      </Popup>
    );
  }
});
